πŸ˜„Users

API's to manage Users.

Create User

Create a new user.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
thirdPartyUserIdstringOptional

Third party user id of the user. This is the unique identifier of the user in the third party system.

firstNamestringOptional

First name of the user.

lastNamestringOptional

Last name of the user.

languageCodestringOptional

Language code of the user. e.g. en, fr, es etc.

emailstring Β· emailOptional

Email of the user.

countrystringOptional

Country of the user. e.g. EU, NG, US etc.

dateOfBirthstring Β· dateOptional

Date of birth of the user.

phoneNumberstringOptional

Phone number of the user. e.g. +2348123456789

Responses
chevron-right
200

User successfully created.

application/json
userIdstringOptional

NovaX user id of the user. This is the unique identifier of the user in the NovaX system.

thirdPartyUserIdstringOptional

Third party user id of the user. This is the unique identifier of the user in the third party system.

post
/user

Get User

Fetch the user by userId, thirdPartyUserId or email.

get
Query parameters
userIdstringOptional

The NovaX user id.

thirdPartyUserIdstringOptional

The Tenant user id.

emailstringOptional

The Tenant user email address.

Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Responses
chevron-right
200

The User Information.

application/json
userIdstringOptional

NovaX user id of the user. This is the unique identifier of the user in the NovaX system.

thirdPartyUserIdstringRequired

Third party user id of the user. This is the unique identifier of the user in the third party system.

firstNamestringRequired

First name of the user.

lastNamestringRequired

Last name of the user.

languageCodestringRequired

Language code of the user. e.g. en, fr, es etc.

emailstring Β· emailRequired

Email of the user.

countrystringRequired

Country of the user. e.g. EU, NG, US etc.

dateOfBirthstring Β· dateRequired

Date of birth of the user.

phoneNumberstringOptional

Phone number of the user. e.g. +2348123456789

get
/user
200

The User Information.

Get User Balances

Fetch the balances of the user by id.

get
Query parameters
userIdstringRequired

The user id.

Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Responses
chevron-right
200

Returns a mysterious string.

application/json
totalBalancenumberOptional

The users total balance.

mainBalancenumberOptional

The users main balance.

pendingBalancenumberOptional

The users pending balance.

get
/user/balances
200

Returns a mysterious string.

Get User Crypto Deposit Addresses

Fetches the deposit addresses for a user.

get
Query parameters
userIdstringRequired

The user id.

Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Responses
chevron-right
200

OK

application/json
addressstringOptional

The deposit address for the tenant.

networkstringOptional

The network for the deposit address.

supportedTokensstring[]Optional

The supported tokens for the deposit address.

get
/user/deposit-addresses

Create te User Card Web Portal

Create a Card Web Portal Session for a User.

post
Header parameters
x-api-keystringRequired

Your unique API Key.

x-api-hashstringRequired

Your API Hash.

Body
emailstringOptional

NovaX user email.

userIdstringOptional

NovaX user id.

thirdPartySessionIdstringOptional

Your system session id to identify this request.

Responses
chevron-right
200

User successfully created.

application/json
urlstringOptional

The URL to the card web portal.

sessionIdstringOptional

The session id to identify this request.

thirdPartySessionIdstringOptional

Your system session id to identify this request.

post
/user/card-web-portal

Last updated